package com.sckw.core.exception;

import com.sckw.core.web.constant.HttpStatus;
import lombok.Data;

@Data
public class SystemException extends RuntimeException {

    private final int code;

    private final String message;

    public SystemException(String message) {
        super();
        this.code = HttpStatus.GLOBAL_EXCEPTION_CODE;
        this.message = message;
    }

    public SystemException(int code, String message) {
        super();
        this.code = code;
        this.message = message;
    }

}
